@import 'scss/utils/vars';
@import 'scss/utils/font-template';

.footerContent {
  background-color: white;
  height: 100%;
  display: grid;
  align-items: center;
  border-bottom: 1px solid rgba(31, 32, 65, 0.1);

  @media screen and (max-width: $widthTablet) {
    display: none;
  }

  &__container {
    max-width: 1170px;
    width: 100%;
    margin: 0px auto;
    padding: 0px 5px;
  }

  &__content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 10px;
  }

  &__column {
    display: flex;
    flex-direction: column;
    min-width: 160px;

    @media screen and (max-width: $widthSmDesktop) {
      min-width: 100px;
    }
  }

  &__logo {
    height: 40px;
  }

  &__description {
    @extend %body-text;
    max-width: 260px;
    margin: 18px 0px 3px 0px;
    line-height: 24px;
  }

  &__subtitle {
    @extend %label-text;
    margin: 4px 0px 0px 0px;
  }

  &__form {
    max-width: 260px;
    max-height: 44px;
    width: 100%;
    height: 100%;
    margin-top: 20px;
  }
}